商业软件开源的六个好处
============================================================

### 为什么商业软件应该开源

![商业软件开源的六个好处](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/BUSINESS_openseries.png?itok=rCtTDz5G "6 reasons open source is good for business")
图片来源 : opensource.com

在相同的基础上，开源软件要优于不开源的软件。想知道为什么？这里有六个商业机构及政府部门可以从开源软件获得好处的原因
### 1\. 让运营商审核更简单

在你将工程和金融资源整合成一个产品加入你的基础设施之前，你需要知道你选择了一个正确的版本。你想要一个在活跃发展的产品，它有定期的安全更新和漏洞修复，同时在你有需求时，产品能有相应的更新。这最后一点也许比你想的还要重要：是的，一个满足你需求的解决方案。但是产品的需求随着市场的成熟以及你商业的发展在变化。如果这个产品不能满足这些需求，在未来你需要花费很大的代价来进行迁移。

你要怎么知道你没有正在把你的时间和资金投入到一个正在灭亡的产品？在开源的世界里，你可以不选择一个只有卖家有话语权的运营商。你可以通过考虑[发展速度以及社区发展的健康程度][3] 来比较运营商. 一到两年之后，一个更活跃、多样性和健康的社区将开发出一个更好的产品，这是一个重要的考虑因素。当然，就像这篇 [关于企业开源软件的博文][4] 指出的, 运营商必须有能力处理由于项目发展革新带来的不稳定性。寻找一个有长支持周期的运营商来避免混乱的更新。

### 2\. 来自独立性的长寿

福布斯杂志指出[90%的初创公司是失败的][5] ，而他们中不超过一半的中小型公司存活超过五年。当你不得不迁移到一个新的运营商时，你花费的代价是昂贵的。所以最好避免一些只有一个运营商支持的产品。

开源使得社区成员能够一起编写软件。例如 OpenStack [是由许多公司以及志愿者一起编写的][6]。这给客户提供了一个保证，不管任何一个独立运营商发生问题，也总会有一个运营商能提供支持。随着软件的开源，企业对开发团队实施产品的努力进行长期的投资。有权使用开源代码确保你总是能从贡献者中雇佣到人来保持你的发展活跃期和你需要它的时间一样长。当然，没有一个大的活跃的社区，也就只有少量的贡献者能被雇佣。所以活跃贡献者的数量是重要的。

### 3\. 安全性

安全是一件复杂的事情。这就是为什么开源发展是构建安全解决方案的关键因素和先决条件。同时安全每一天都在变得更重要。当发展在公开的环境下进行，你能直接的校验运营商是否积极的在追求安全，以及看到运营商是如何对待安全问题的。研究代码和执行独立代码审计的能力让运营商尽可能早的发现和修复漏洞。一些运营商给社区提供上千万的美金的[漏洞奖金][7] 作为额外的奖励来刺激开发者发现他们产品的安全漏洞，同时也展示了运营商对于自己产品的信任。

除了代码，开源发展同样意味着开源过程，所以你能检查和看到供应商是否遵循ISO27001、 [云安全准则][8] 及其他标准所推荐的工业标准发展过程。当然，一个可信组织额外的检查提供了额外的保障，例如在 Nextcloud 与我们合作的[NCC小组][9]。

### 4\. 更多的顾客导向

由于用户和顾客能直接看到和参与到产品的发展中，开源项目比那些只关注于营销团队回应的闭源软件更加的贴合用户的需求。你可以注意到开源软件项目趋向于横向发展。一个社区有许多迫切需要解决的事情以及致力于发展更多的功能，然而一个以营利为目的的运营商更关注于一个能够给他们带来利益的个体或小型团队。这导致更少的易于销售的版本，因为相比混合且匹配的多样性改进，它只关注于一件事情。但是它创造了许多对用户更有价值的产品。

### 5\. 更好的支持
一个私人的运营商总能在你遇到问题时给你提供帮助。如果他们不提供你所需要的服务或者对调整你的商务需求收取额外昂贵的费用，那真是不好运。对私人软件提供的支持是一个典型的 "[柠檬市场][10]." 随着软件的开源，运营商将提供巨大的支持或者其他的一些东西来填补间隙，来确保你能得到最好的服务支持，这是自由市场的最佳选择。

### 6\. 更佳的许可

典型的软件许可证[充斥着令人不愉快的条款][11], ，通常是在强制套利的情况下，这样你就不会有机会起诉运营商的不当行为。其中一个问题是你仅仅被授予了软件的使用权，这通常完全由供应商自行决定。如果软件不运行或者停止运行或者如果运营商要求支付更多的费用，你得不到软件的所有权或其他的权利。像 GPL 一类的开源许可证是为保护客户专门设计的。它确保软件能够在没有专制限制的情况下满足你所需要时间内的任意需求。

由于它们的广泛使用，GPL 的含义及其衍生出来的其他许可被广泛的理解。例如，你能确保许可证允许你现存的基础设施（开源或闭源）通过设定好的 API 去进行连接。其没有时间或者是用户人数上的限制，同时也不会强迫你公开软件架构或者是知识产权（例如公司商标）。

这也让遵循规定变得更加的容易。专利软件意味着你有可以罚款的严厉的法规。更糟糕的是一些开源代码产品在 GPL 和专利软件的混合规定下运行。这[违反了许可规定][12]以及将顾客置于风险中。同时Gartner指出，一个开源代码模型意味着你 [不能从开源中获利][13]。一个纯净的开源许可产品避免了这些问题。相反，你只有一个服从的规定：如果你对代码做出了修改（不包括配置、商标或其他类似的东西），你必须将这些与使用你软件的人分享，如果他们要求
Clearly open sou

--------------------------------------------------------------------------------

作者简介：

一个善于与人打交道的技术爱好者和开源传播者。Nextcloud 的销售主管，曾是 ownCloud 和 SUSE 的社区经理，同时还是一个有多年经验的 KDE 销售人员。喜欢骑自行车穿越柏林和为家人朋友做饭。[点击这里找到我的博客][16].

-----------------

via: https://opensource.com/article/17/10/6-reasons-choose-open-source-software

作者：[Jos Poortvliet Feed ][a]
译者：[ZH1122](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/jospoortvliet
[1]:https://opensource.com/article/17/10/6-reasons-choose-open-source-software?rate=um7KfpRlV5lROQDtqJVlU4y8lBa9rsZ0-yr2aUd8fXY
[2]:https://opensource.com/user/27446/feed
[3]:https://nextcloud.com/blog/nextcloud-the-most-active-open-source-file-sync-and-share-project/
[4]:http://www.redhat-cloudstrategy.com/open-source-for-business-people/
[5]:http://www.forbes.com/sites/neilpatel/2015/01/16/90-of-startups-will-fail-heres-what-you-need-to-know-about-the-10/
[6]:http://stackalytics.com/
[7]:https://hackerone.com/nextcloud
[8]:https://www.ncsc.gov.uk/guidance/implementing-cloud-security-principles
[9]:https://nextcloud.com/secure
[10]:https://en.wikipedia.org/wiki/The_Market_for_Lemons
[11]:http://boingboing.net/2016/11/01/why-are-license-agreements.html
[12]:https://www.gnu.org/licenses/gpl-faq.en.html#GPLPluginsInNF
[13]:http://blogs.gartner.com/brian_prentice/2010/03/31/open-core-the-emperors-new-clothes/
[14]:https://opensource.com/users/jospoortvliet
[15]:https://opensource.com/users/jospoortvliet
[16]:http://blog.jospoortvliet.com/

